
$KII = kii -noX

macro go
 mcreate a 512 512
 set b = yramp (a)
 tv b 0 512
 create x 0 512 64
 set y = 1.1*x
 vload red x x
 vload red x y
 set y = x + 10
 vload blue -type line x y
 set y = x + 20
 vload green -type circle x y -size 3.0
 set y = x + 30
 vload yellow -type box x y -size 5.0

 for i 1 6
  vload red -type box x y -size $i
  vload blue -type circle x y -size $i
 end

 jpeg -name test.jpg

 resize 512 512
 center 256 256 1
 jpeg -name test2.jpg

 center 256 256 3
 jpeg -name test3.jpg
end
